Bug 142477 - signbit not defined in lo-ieee.h
signbit not defined in lo-ieee.h
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: octave (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ivana Varekova
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-09 17:23 EST by Phil Schaffner
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-17 03:31:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Phil Schaffner 2004-12-09 17:23:38 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.3)
Gecko/20040921

Description of problem:
Attempt to compile octave-forge (http://octave.sourceforge.net/) from
source fails because signbit is undefined.



Version-Release number of selected component (if applicable):
octave-devel-2.1.57-7

How reproducible:
Always

Steps to Reproduce:
1. Attempt to compile code requiring lo-ieee.h
2.
3.
    

Actual Results:  Compile fails.  Output from attempted make:

g++ -M -I/usr/include/octave-2.1.64
-I/usr/include/octave-2.1.64/octave -O2 -g -fno-use-cxa-atexit
-DHAVE_OCTAVE_21 -DOCTAVE_FORGE -DHAVE_ND_ARRAYS -DTYPEID_HAS
_CLASS -DCLASS_HAS_LOAD_SAVE -DHAVE_6ARG_MX_ND_RED
-DHAVE_OCTAVE_CONCAT -DHAVE_SWAP_BYTES -DHAVE_OCTAVE_UPLUS
int/fixed.cc | /bin/sed -e 's,^[^:]*/\(.*\.o\):,\1
:,' -e 's,int/fixed\.o,pic/& & int/fixed.d,g' > int/fixed.d-t && mv
int/fixed.d-t int/fixed.d
In file included from int/fixed.cc:48:
/usr/include/octave-2.1.64/octave/lo-ieee.h:96:2: #error "No signbit
definition?!"
make[2]: Leaving directory
`/home/prs/rpmbuild/BUILD/octave-forge-2004.11.16/main/fixed'
make[2]: Entering directory
`/home/prs/rpmbuild/BUILD/octave-forge-2004.11.16/main/fixed'
Compiling fixed-int.o from int/fixed.cc
g++ -c -fPIC -I/usr/include/octave-2.1.64
-I/usr/include/octave-2.1.64/octave -O2 -g -fno-use-cxa-atexit
-DHAVE_OCTAVE_21 -DOCTAVE_FORGE -DHAVE_ND_ARRAYS -DTYPE
ID_HAS_CLASS -DCLASS_HAS_LOAD_SAVE -DHAVE_6ARG_MX_ND_RED
-DHAVE_OCTAVE_CONCAT -DHAVE_SWAP_BYTES -DHAVE_OCTAVE_UPLUS
int/fixed.cc -o int/fixed.o
In file included from int/fixed.cc:48:
/usr/include/octave-2.1.64/octave/lo-ieee.h:96:2: #error "No signbit
definition?!"


Expected Results:  Clean compile.

Additional info:

This was reported for RHEL 3 as BZ 113852 and marked "CLOSED RAWHIDE"
but does not work for FC3.
Comment 1 Phil Schaffner 2004-12-09 17:31:25 EST
Just noticed I included make output above from an attempt to build on
x86_64 with a later version of Octave.  Results are the same (failure)
on i386 arch with FC3 octave-2.1.57-7.
Comment 2 Vegard Lima 2005-01-24 03:52:48 EST
Does this one help?

http://www.octave.org/octave-lists/archive/bug-octave.2004/msg00933.html
Comment 3 Ivana Varekova 2005-02-17 03:31:32 EST
Thank you for your notices.
This problem was fixed (the fixed version is 2.1.57-10).
If there is some problem with this bug please reopen this bug.
Ivana Varekova

Note You need to log in before you can comment on or make changes to this bug.